Skip to main content
POST
https://api.aisa.one/apis/v1
/
apollo
/
tasks
Create a Task
curl --request POST \
  --url https://api.aisa.one/apis/v1/apollo/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": "<string>",
  "contact_id": "<string>",
  "type": "<string>",
  "status": "<string>",
  "due_at": "<string>",
  "priority": "<string>",
  "title": "<string>"
}
'
{
  "task": {}
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
user_id
string
required

Task owner user ID.

contact_id
string
required

Contact ID.

type
string
required

Task type.

status
string
required

Task status.

due_at
string
required

ISO 8601 due datetime.

priority
string

Task priority (default: medium).

title
string

Optional title.

Response

Successful response

task
object

Created task (when returned).